%global rev 1004
%global py_ver %(%{__python} -c "import sys;sys.stdout.write(sys.version[:3])")

Name:           texworks
Version:        0.4.4
Release:        3%{?dist}
Summary:        A simple IDE for authoring TeX documents


Group:          Applications/Editors
License:        GPLv2+
URL:            http://tug.org/texworks/
Source0:        http://texworks.googlecode.com/files/%{name}-%{version}-r%{rev}.tar.gz

BuildRequires:  hunspell-devel
BuildRequires:  poppler-qt4-devel
BuildRequires:  python2-devel
BuildRequires:  lua-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl

# Description adopted from Debian with modification
%description
TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc) documents,
with a Unicode-based, TeX-aware editor, integrated PDF viewer, and a clean,
simple interface accessible to casual and non-technical users.

You may install the texlive-* packages to make this program useful.

%prep
%setup -q
# pkg-config file of Lua
perl -pi -e 's/(?<=lua)5\..*//' plugins-src/TWLuaPlugin/TWLuaPlugin.pro
# Python version
perl -pi -e 's/2\.6/%{py_ver}/' plugins-src/TWPythonPlugin/TWPythonPlugin.pro

%build
# build Lua scripting plugin
pushd plugins-src/TWLuaPlugin/
%_qt4_qmake TW_PLUGINPATH=%{_libdir}/texworks
make %{?_smp_mflags}
popd

# build Python scripting plugin
pushd plugins-src/TWPythonPlugin/
%_qt4_qmake TW_PLUGINPATH=%{_libdir}/texworks
make %{?_smp_mflags}
popd

# build the main program
%_qt4_qmake INSTALL_PREFIX=%{_prefix} DOCS_DIR=%{_docdir}/%{name}-%{version} \
            TW_PLUGINPATH=%{_libdir}/texworks \
            TW_DICPATH=%{_datadir}/myspell \
            TW_BUILD_ID=Fedora
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
# install Lua scripting plugin
pushd plugins-src/TWLuaPlugin/
make install INSTALL_ROOT=%{buildroot}
popd

# install Python scripting plugin
pushd plugins-src/TWPythonPlugin/
make install INSTALL_ROOT=%{buildroot}
popd

# install the main program
make install INSTALL_ROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/
%doc %{_datadir}/texworks-help/
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*


%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Marek Kasik <mkasik@redhat.com> - 0.4.4-2
- Rebuild (poppler-0.20.0)

* Tue May  8 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.4.4-1
- Update to 0.4.4 (#785100, #817511)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.4.3-3
- Rebuild (poppler-0.17.3)

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.4.3-2
- Rebuild (poppler-0.17.0)

* Thu Jul 14 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3 (BZ#718982)

* Sun Jun 26 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2
- Removed texworks-0.4.1-qmake.patch

* Tue Jun  7 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4.1-2
- Include an upstreamed qmake configuration patch
- Fix myspell path
- Install the manual to path specified upstream

* Mon May 30 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1
- Obsolete texworks-0.4.0-64bit.patch, since default qmake configuration works
  with PPC64 now
- BR: dbus-devel removed

* Wed May 25 2011 Caolán McNamara <caolanm@redhat.com> - 0.4.0-3
- rebuild for new hunspell

* Wed Mar 30 2011 Dan Horák <dan[at]danny.cz> - 0.4.0-2
- fix build on non-x86 64-bit platforms

* Fri Mar 25 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0
- Use uptream desktop entry file

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Apr 24 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-3
- Move to menu category 'Office'
- License tag revised to 'GPLv2+'
- Initial import to Fedora repositories

* Thu Apr 22 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-2
- Fix some strange characters in README
- Patch TeXworks.pro to use qmake mechanism to install files and fix DSO linking
  problem

* Sun Apr 11 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-1
- Initial packaging
